" Settings
scriptencoding utf-8

set inccommand=nosplit
set clipboard^=unnamedplus
set number
set noshowmode
set noshowcmd
set showtabline=2
set noswapfile
set hidden
set lazyredraw
set showmatch
set matchpairs+=<:>
set cpoptions-=m
set nojoinspaces
set updatetime=100
set synmaxcol=200
set splitbelow
set splitright
set notimeout
set ignorecase
set scrolloff=5
set sidescroll=5
set shortmess+=aoIOWsc
set foldmethod=marker
set foldclose=all
set foldlevelstart=10
set selectmode=key
set keymodel=startsel
set tabstop=2
set shiftwidth=2
set softtabstop=2
set shiftround
set linebreak
set breakindent
set nosmarttab
set title
set redrawtime=500
set ttimeoutlen=10
set nowritebackup
set undofile
set undolevels=1000
set undoreload=10000
set complete+=kspell
set completeopt=menu,menuone,noinsert,noselect
set listchars+=precedes:<,extends:>
set diffopt+=algorithm:histogram,indent-heuristic
set diffopt+=foldcolumn:0
set fillchars=diff:\ ,eob:\ ,stlnc:\ ,stl:\ ,vert:\│
set formatoptions+=nl
set formatoptions-=crot
let formatlistpat='^\s*\(\d\+[\]:.)}\t ]\|[*-][\t ]\)\s*'
match ErrorMsg '^\(<\|=\|>\)\{7\}\([^=].\+\)\?$'
