setlocal nonumber norelativenumber laststatus=0 showmode
setlocal signcolumn=no textwidth=80 wrap sw=2
setlocal tabstop=2 noexpandtab softtabstop=0 linebreak
setlocal autoindent ruler colorcolumn=80
setlocal spell spelllang=es,en_us,cjk
setlocal formatoptions&
setlocal formatoptions+=tqnw
setlocal formatlistpat=^\\s*\\(\\d\\+\\\|[a-z]\\)[\\].)]\\s*

" Spellcheck
nnoremap <buffer> <silent> <F7> [s
nnoremap <buffer> <silent> <F8> ]s
nnoremap <buffer> <silent> <F9> z=
nnoremap <buffer> <silent> <F10> z=1<CR><CR>
nnoremap <buffer> <silent> <F11> zg
inoremap <buffer> <C-l> <c-g>u<Esc>[s1z=`]a<c-g>u

" Todo list
nnoremap <buffer> <silent> <C-a> i-[]
nnoremap <buffer> <silent> <C-d> :.s/\[\]/\[x\]<Enter>
inoremap <buffer> <silent> <C-a> -[]
inoremap <buffer> <silent> <C-d> <esc>:.s/\[\]/\[x\]<Enter>

" Markdown jump to next heading
nnoremap <buffer> <silent> ]] :<C-u>call <SID>dead#functions#JumpToNextHeading("down", v:count1)<CR>
nnoremap <buffer> <silent> [[ :<C-u>call <SID>dead#functions#JumpToNextHeading("up", v:count1)<CR>

let b:ale_linters = ['prettier']
let b:ale_fixers = ['prettier']
